<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.4 of December 5, 2005 on May 1, 2006 at 8:07:06 am</time-stamp>
<!-- Package CST-Tutorial -->


<class>
<name>AA</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>m1 m2 </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>AA</category>
<attributes>
<package>CST-Tutorial</package>
</attributes>
</class>


<methods>
<class-id>AA class</class-id> <category>instance creation</category>

<body package="CST-Tutorial" selector="new">new
	^super new initialize</body>
</methods>


<methods>
<class-id>AA</class-id> <category>initialize-release</category>

<body package="CST-Tutorial" selector="m2:">m2: anM2 
	m2 := anM2.
	self changed: #m2</body>

<body package="CST-Tutorial" selector="m1:">m1: anM1 
	m1 := anM1.
	self changed: #m1</body>

<body package="CST-Tutorial" selector="m1">m1
	^m1</body>

<body package="CST-Tutorial" selector="initialize">initialize
	"set the m1 variable"

	m1 := 'Hello World'</body>

<body package="CST-Tutorial" selector="m2">m2
	^m2</body>
</methods>



</st-source>
